Brivio API reference
Payments

List payments — every attempt to collect money for the organization, with provider reference and refund state (scope: payments:read)

GET
/payments

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Query Parameters

page?integer

Page number (1-based)

perPage?integer

Page size (max 100)

status?string

Filter by spine status

Value in"pending""authorized""paid""failed""cancelled""expired""refunded""partially_refunded"
source_kind?string

What the money was collected for

Value in"invoice""order""booking""event_ticket""portal_topup""link""contract_tranche"
from?string

created_at ≥ (ISO date or date-time)

to?string

created_at ≤ (ISO date = through end of day, or date-time)

q?string

Exact match on provider_ref (Stripe pi_…, Netopia ntpID…) or pay token

Lengthlength <= 255

Response Body

OK

application/json
  1. response
data*array<>
meta?
error*null
curl -X GET "https://example.com/payments"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "environment": "live",      "source_kind": "invoice",      "source_id": "ae50a35c-df42-4eff-ba26-f8bc28d2af81",      "channel": "string",      "amount_minor": 0,      "currency": "str",      "refunded_minor": 0,      "platform_fee_minor": 0,      "provider": "string",      "provider_ref": "string",      "sandbox": true,      "status": "pending",      "flow": "redirect",      "description": "string",      "customer_email": "string",      "customer_name": "string",      "last_error": "string",      "paid_at": "2019-08-24T14:15:22Z",      "expires_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "page": 0,    "perPage": 0,    "total": 0,    "totalPages": 0,    "nextCursor": "string"  },  "error": null}